com.io7m.jregions.core.unparameterized.areas

## Class AreaXYSplitD.Builder<T extends AreaDType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaXYSplitD.Builder<T>

- Enclosing class:
    AreaXYSplitD<T extends AreaDType>

      public static final class AreaXYSplitD.Builder<T extends AreaDType>
      extends Object

  Builds instances of type `AreaXYSplitD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaXYSplitD<T>` | `build()` Builds a new `AreaXYSplitD`.
    `AreaXYSplitD.Builder<T>` | `from(AreaXYSplitDType<T> instance)` Fill a builder with attribute values from the provided `AreaXYSplitDType` instance.
    `AreaXYSplitD.Builder<T>` | `setX0y0(T x0y0)` Initializes the value for the `x0y0` attribute.
    `AreaXYSplitD.Builder<T>` | `setX0y1(T x0y1)` Initializes the value for the `x0y1` attribute.
    `AreaXYSplitD.Builder<T>` | `setX1y0(T x1y0)` Initializes the value for the `x1y0` attribute.
    `AreaXYSplitD.Builder<T>` | `setX1y1(T x1y1)` Initializes the value for the `x1y1` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaXYSplitD.Builder<T> from(AreaXYSplitDType<T> instance)

      Fill a builder with attribute values from the provided `AreaXYSplitDType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y0

          public final AreaXYSplitD.Builder<T> setX0y0(T x0y0)

      Initializes the value for the `x0y0` attribute.
      Parameters:
        `x0y0` - The value for x0y0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y0

          public final AreaXYSplitD.Builder<T> setX1y0(T x1y0)

      Initializes the value for the `x1y0` attribute.
      Parameters:
        `x1y0` - The value for x1y0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y1

          public final AreaXYSplitD.Builder<T> setX0y1(T x0y1)

      Initializes the value for the `x0y1` attribute.
      Parameters:
        `x0y1` - The value for x0y1
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y1

          public final AreaXYSplitD.Builder<T> setX1y1(T x1y1)

      Initializes the value for the `x1y1` attribute.
      Parameters:
        `x1y1` - The value for x1y1
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaXYSplitD<T> build()

      Builds a new `AreaXYSplitD`.
      Returns:
        An immutable instance of AreaXYSplitD
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com